> ## Documentation Index
> Fetch the complete documentation index at: https://docs.new-gen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Products

> Search for products using text queries and LLM reranking.

```bash theme={null}
curl GET /api/v1/products/search
```

### Query Parameters

| Parameter          | Type    | Description                                            |
| ------------------ | ------- | ------------------------------------------------------ |
| q                  | string  | Search query text (required)                           |
| brand\_url         | string  | Base brand URL to filter by, e.g., nike.com (optional) |
| limit              | number  | Maximum number of results (default: 20)                |
| include\_raw\_data | boolean | Include raw html/json data from pdp (default: false)   |

### Response Object

```json theme={null}
{
  "products": [
    {
      "pdp": {
        "id": string,
        "url": string,
        "name": string,
        "desc": string,
        "media": [
          {
            "url": string,
            "type": string
          }
        ],
        "brands": [string],
        "price_label": string,
        "raw_data": {
          "strippedHtml": string,
          "jsons": {
            "ld_json": { data },
            "props_data": { data }
          }
        }
      }
    }
  ]
}
```
